## python-heatclient 2.2.1

=== debian/changelog ===
python-heatclient (2.2.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Add python3.9-use-encodebytes-not-encodestring.patch.
  * Install the heat bash-completion script.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 12:26:44 +0200

python-heatclient (2.2.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:33:29 +0200

python-heatclient (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-mock from build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Sep 2020 12:31:46 +0200

python-heatclient (2.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jun 2020 10:03:32 +0200

python-heatclient (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 23:06:10 +0200

python-heatclient (2.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Apr 2020 23:47:37 +0200

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Prach Pongpanich <prachpub@gmail.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 97~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 lsb-release,
 python3-babel,
 python3-cliff (>= 2.14.1),
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-swiftclient,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-heatclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-heatclient.git
Homepage: https://github.com/openstack/python-heatclient

Package: python3-heatclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff (>= 2.14.1),
 python3-iso8601,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-six,
 python3-swiftclient,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: client library and CLI for OpenStack Heat - Python 3.x
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	find . -iname '*.pyc' -delete
	for i in \$\$(find . -type d -iname __pycache__) ; do rm -rf \$\$i ; done
	rm -rf .stestr build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-heatclient/usr/heatclient
	install -D -m 0644 tools/heat.bash_completion $(CURDIR)/debian/python3-neutronclient/usr/share/bash-completion/completions/heat

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-heatclient 2.3.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.3.4 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
cliff!=2.9.0,>=2.8.0 # Apache-2.0
iso8601>=0.1.11 # MIT
osc-lib>=1.14.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0
six>=1.10.0 # MIT

=== debian/changelog ===
python-heatclient (2.3.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 04 Dec 2020 12:58:12 +0000

python-heatclient (2.2.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:30:59 -0400

python-heatclient (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 24 Jul 2020 11:35:27 +0000

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Prach Pongpanich <prachpub@gmail.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 lsb-release,
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-mox3 (>= 0.20.0),
 python3-openstackclient (>= 3.12.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-osc-lib (>= 1.14.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-prettytable (>= 0.7.2),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-stestr (>= 2.0.0),
 python3-subunit,
 python3-swiftclient (>= 1:3.2.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-heatclient
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-heatclient
Homepage: https://github.com/openstack/python-heatclient
Testsuite: autopkgtest-pkg-python

Package: python3-heatclient
Architecture: all
Depends:
 python3-babel (>= 2.3.4),
 python3-cliff (>= 2.8.0),
 python3-iso8601 (>= 0.1.11),
 python3-keystoneauth1 (>= 3.4.0),
 python3-osc-lib (>= 1.14.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Description: client library and CLI for OpenStack Heat - Python 3.x
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 3.x module.

## python-heatclient 2.4.0

=== debian/changelog ===
python-heatclient (2.4.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 14:57:52 -0400

python-heatclient (2.3.0-0ubuntu2) impish; urgency=medium

  * d/control: Drop python-pbr.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 23 Jun 2021 08:04:27 +0000

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  dh-python,
  openstack-pkg-tools,
  python-all,
- python-pbr (>= 2.0.0),
  python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
@@ -24,9 +23,9 @@
  python3-cliff (>= 2.8.0),
  python3-coverage (>= 4.0),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
+ python3-hacking,
  python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.8.0),
  python3-mock (>= 2.0.0),
  python3-mox3 (>= 0.20.0),
  python3-openstackclient (>= 3.12.0),
@@ -36,7 +35,7 @@
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.utils (>= 3.33.0),
  python3-prettytable (>= 0.7.2),
- python3-reno (>= 2.5.0),
+ python3-reno,
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.10.0),
@@ -62,7 +61,7 @@
  python3-babel (>= 2.3.4),
  python3-cliff (>= 2.8.0),
  python3-iso8601 (>= 0.1.11),
- python3-keystoneauth1 (>= 3.4.0),
+ python3-keystoneauth1 (>= 3.8.0),
  python3-osc-lib (>= 1.14.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.serialization (>= 2.18.0),

## python-heatclient 2.5.1

=== requirements.txt ===
--- 
+++ 
@@ -7,11 +7,11 @@
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 iso8601>=0.1.11 # MIT
 osc-lib>=1.14.0 # Apache-2.0
-PrettyTable<0.8,>=0.7.2 # BSD
+PrettyTable>=0.7.2 # BSD
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-keystoneauth1>=3.4.0 # Apache-2.0
+keystoneauth1>=3.8.0 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 PyYAML>=3.13 # MIT
 requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-heatclient (2.5.1-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 13:01:03 -0500

python-heatclient (2.5.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.
  * d/rules: Switch to pybuild.
  * d/control: Drop py2 BDs.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 11:55:48 -0500

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,9 @@
  Prach Pongpanich <prachpub@gmail.com>,
  Corey Bryant <corey.bryant@canonical.com>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,

## python-heatclient 3.1.0

=== requirements.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 # The order of packages is significant, because pip processes them in the order
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
@@ -15,4 +19,3 @@
 python-swiftclient>=3.2.0 # Apache-2.0
 PyYAML>=3.13 # MIT
 requests>=2.14.2 # Apache-2.0
-six>=1.10.0 # MIT

=== debian/changelog ===
python-heatclient (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:15:16 +0200

python-heatclient (3.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Sep 2022 13:49:29 +0200

python-heatclient (2.5.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 10:41:48 +0100

python-heatclient (2.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.
  * Removed fix-import-from-collections.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 15:53:52 +0100

python-heatclient (2.4.0-3) unstable; urgency=medium

  * Add fix-import-from-collections.patch (Closes: #1002377).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Dec 2021 23:47:27 +0100

python-heatclient (2.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:32:35 +0200

python-heatclient (2.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 13:10:32 +0200

python-heatclient (2.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 11:02:00 +0200

python-heatclient (2.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3.9-use-encodebytes-not-encodestring.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 14 Mar 2021 15:45:24 +0100

=== debian/control ===
Source: python-heatclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Prach Pongpanich <prachpub@gmail.com>,
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 97~),
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 lsb-release,
 python3-babel,
 python3-cliff (>= 2.14.1),
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-prettytable,
 python3-requests,
 python3-requests-mock,
 python3-stestr,
 python3-subunit,
 python3-swiftclient,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-heatclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-heatclient.git
Homepage: https://github.com/openstack/python-heatclient

Package: python3-heatclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff (>= 2.14.1),
 python3-iso8601,
 python3-keystoneauth1,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-requests,
 python3-swiftclient,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Description: client library and CLI for OpenStack Heat - Python 3.x
 Heat is a service to orchestrate multiple composite cloud applications
 using templates, through both an OpenStack-native ReST API and
 a CloudFormation-compatible Query API.
 .
 This is a client for the OpenStack Heat API. There's a Python API (the
 heatclient module), and a command-line script (heat). Each implements 100% of
 the OpenStack Heat API.
 .
 This package provides the Python 3.x module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-heatclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-heatclient 3.2.0

=== debian/changelog ===
python-heatclient (3.2.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046345).
  * Correctly install heat.bash_completion in the package.

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Aug 2023 23:53:13 +0200

python-heatclient (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 12:10:30 +0200

python-heatclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Feb 2023 12:10:25 +0100

## python-heatclient 3.3.0

=== debian/changelog ===
python-heatclient (3.3.0-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Wed, 04 Oct 2023 12:53:58 +0000

python-heatclient (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:51:34 +0200

python-heatclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 12:26:34 +0200

## python-heatclient 3.4.0

=== debian/changelog ===
python-heatclient (3.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/control: Drop python3-babel from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Wed, 17 Jan 2024 13:03:49 +0000

python-heatclient (3.3.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 16:54:55 -0400

python-heatclient (3.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:24:02 -0500

python-heatclient (3.1.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 17:51:34 -0400

## python-heatclient 3.5.0

=== requirements.txt ===
--- 
+++ 
@@ -2,11 +2,6 @@
 # date but we do not test them so no guarantee of having them all correct. If
 # you find any incorrect lower bounds, let us know or propose a fix.
 
-# The order of packages is significant, because pip processes them in the order
-# of appearance. Changing the order has an impact on the overall integration
-# process, which may cause wedges in the gate later.
-
-Babel!=2.4.0,>=2.3.4 # BSD
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 cliff!=2.9.0,>=2.8.0 # Apache-2.0
 iso8601>=0.1.11 # MIT

=== debian/changelog ===
python-heatclient (3.5.0-0ubuntu1~cloud0) jammy-caracal; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 08 Mar 2024 17:16:31 +0000

python-heatclient (3.5.0-0ubuntu1) noble; urgency=medium

  * New upstream point release for OpenStack Caracal.

 -- James Page <james.page@canonical.com>  Fri, 08 Mar 2024 13:59:56 +0000

## python-heatclient 4.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=2.0.0 # Apache-2.0
cliff>=2.8.0 # Apache-2.0
iso8601>=0.1.11 # MIT
osc-lib>=1.14.0 # Apache-2.0
PrettyTable>=0.7.2 # BSD
oslo.i18n>=3.15.3 # Apache-2.0
oslo.serialization>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
keystoneauth1>=3.8.0 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
PyYAML>=3.13 # MIT
requests>=2.14.2 # Apache-2.0

=== debian/changelog ===
python-heatclient (4.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Fri, 27 Sep 2024 09:23:20 +0000

python-heatclient (4.0.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:29:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=heatclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf .testrepository build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-heatclient/usr/heatclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

## python-heatclient 4.1.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
sphinxcontrib-httpdomain>=1.3.0  # BSD

=== debian/changelog ===
python-heatclient (4.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:55:24 +0100

python-heatclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 10:54:31 +0100

python-heatclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 11:01:24 +0100

python-heatclient (4.0.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:04:30 +0200

python-heatclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 29 Aug 2024 13:54:30 +0200

python-heatclient (3.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:18:51 +0200

python-heatclient (3.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-babel from (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 18:20:45 +0100

## python-heatclient 4.3.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 reno>=3.1.0 # Apache-2.0
 sphinx>=2.0.0 # BSD
 sphinxcontrib-httpdomain>=1.3.0  # BSD
+python-openstackclient>=3.12.0 # Apache-2.0

=== debian/changelog ===
python-heatclient (4.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 22:19:04 +0200

python-heatclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Sep 2025 09:10:39 +0200

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  python3-sphinx,
 Build-Depends-Indep:
  lsb-release,
- python3-babel,
  python3-cliff (>= 2.14.1),
  python3-coverage,
  python3-fixtures,
@@ -48,7 +47,6 @@
 Package: python3-heatclient
 Architecture: all
 Depends:
- python3-babel,
  python3-cliff (>= 2.14.1),
  python3-iso8601,
  python3-keystoneauth1,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-heatclient/usr/heatclient
	install -D -m 0644 tools/heat.bash_completion $(CURDIR)/debian/python3-heatclient/usr/share/bash-completion/completions/heat

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/glance refs/tags/(\d[brc\d\.]+)

## python-heatclient 5.0.0

=== debian/changelog ===
python-heatclient (5.0.0-0ubuntu2) resolute; urgency=medium

  * d/p/fix-file-url-python-3.14.patch: Add patch for URL resolution differences
    in Python 3.14.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 20 Feb 2026 11:43:43 -0800

python-heatclient (5.0.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 5.0.0
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 11:59:18 -0800

python-heatclient (4.3.0-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * d/watch: Track Flamingo series releases.
  * d/watch: Add Flamingo key verification. 
  * d/u/signing-key.asc: Add Flamingo public key.
  * New upstream release for OpenStack Flamingo. (LP: #2116155)

 -- Myles Penner <myles.penner@canonical.com>  Mon, 14 Jul 2025 14:58:17 -0700

python-heatclient (4.1.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 15:37:15 +0000

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=heatclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf .testrepository build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-heatclient/usr/heatclient

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.openstack.org/python-heatclient/ python_heatclient-(\d.*)\.tar\.gz

## python-heatclient 5.1.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0 # BSD
python-openstackclient>=3.12.0 # Apache-2.0

=== debian/changelog ===
python-heatclient (5.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 12:30:16 +0100

python-heatclient (4.3.0-3) unstable; urgency=medium

  * Avoid broken tests in py3.14 (Closes: #1123447).

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Dec 2025 12:21:05 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 'heatclient\.tests\.unit\.(?!test_template_utils.*|test_utils\.TestURLFunctions\.(test_get_template_url|test_normalise_file_path_to_url_absolute|test_normalise_file_path_to_url_relative)|test_shell\.(ShellTestConfig\.test_config_create|ShellTestUserPass(\.test_stack_create_only_param_file|\.test_stack_create_param_file)|ShellTestStandaloneToken(\.test_stack_create_only_param_file|\.test_stack_create_param_file)|ShellTestUserPassKeystoneV3(\.test_stack_create_only_param_file|\.test_stack_create_param_file)|ShellTestToken(\.test_stack_create_only_param_file|\.test_stack_create_param_file)))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-heatclient/usr/heatclient
	install -D -m 0644 tools/heat.bash_completion $(CURDIR)/debian/python3-heatclient/usr/share/bash-completion/completions/heat

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3
